﻿package {
	import flash.display.*;
	import flash.filters.BlurFilter;
	
	import hype.extended.behavior.MouseFollowSpring;
	import hype.framework.display.BitmapCanvas;
	import hype.extended.rhythm.FilterCanvasRhythm;
	import hype.framework.core.TimeType;
	
	public class CerchioMolla extends Sprite {
		public function CerchioMolla() {
			var cerchio:Shape = new Shape();
			cerchio.graphics.lineStyle(4, 0, 0.4);
			cerchio.graphics.beginFill(0xFF8800, 0.6);
			cerchio.graphics.drawCircle(0, 0, 30);
			
			var contenitore:Sprite = new Sprite();
			contenitore.addChild(cerchio);
			addChild(contenitore);
			
			var bmc:BitmapCanvas = new BitmapCanvas (stage.stageWidth,
													 stage.stageHeight);
			bmc.startCapture(contenitore, true);
			
			addChild(bmc);
			
			var mfs:MouseFollowSpring = new MouseFollowSpring(cerchio, 0.9, 0.1);
			mfs.start();
			
			var blur:BlurFilter = new BlurFilter(5.0, 5.0, 3);
			var blurRhythm:FilterCanvasRhythm = new FilterCanvasRhythm([blur], bmc);
			blurRhythm.start(TimeType.ENTER_FRAME, 4);
		}
	}
}